Bug 1071501 - [drpm] fallback to full RPM download on drpm failure
[drpm] fallback to full RPM download on drpm failure
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Kozumplik
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-28 19:52 EST by Garry T. Williams
Modified: 2014-09-30 19:42 EDT (History)
6 users (show)

See Also:
Fixed In Version: dnf-0.4.19-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 04:13:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2014-02-28 19:52:03 EST
Description of problem:
Back trace (file not found) when doing update with DRPM support enabled.


Version-Release number of selected component (if applicable):
dnf-0:0.4.16-2.fc20.noarch
rpm-0:4.11.2-2.fc20.x86_64


How reproducible:
Not sure.  It failed on the command below.  I excluded two packages and the command succeeded.  I assume clearing the cache and retrying will clear the problem.

If it's important, there were *many* temporary failures downloading the updates initially.  The log below is a retry after the initial fatal back trace.  The OSError exceptions were identical.

Additional info:
Here's a log of the failure at the command line.  Notice that the files actually downloaded and in the cache are augeas-libs-1.1.0-2.fc20_1.2.0-1.fc20.x86_64.drpm and libproxy-0.4.11-7.fc20_0.4.11-8.fc20.x86_64.drpm.  They don't seem to have been expanded properly.  The back trace complains about not finding the .rpm files.  The cache seems corrupted:

garry@vfr$ sudo dnf --enablerepo=updates-testing update
[sudo] password for garry: 
Resolving dependencies
--> Starting dependency resolution
---> Package apcupsd.x86_64 3.14.10-13.fc20 will be upgraded
---> Package apcupsd.x86_64 3.14.11-1.fc20 will be an upgrade
---> Package apcupsd-gui.x86_64 3.14.10-13.fc20 will be upgraded
---> Package apcupsd-gui.x86_64 3.14.11-1.fc20 will be an upgrade
---> Package audit.x86_64 2.3.3-1.fc20 will be upgraded
---> Package audit.x86_64 2.3.4-1.fc20 will be an upgrade
---> Package audit-libs.x86_64 2.3.3-1.fc20 will be upgraded
---> Package audit-libs.x86_64 2.3.4-1.fc20 will be an upgrade
---> Package audit-libs-python.x86_64 2.3.3-1.fc20 will be upgraded
---> Package audit-libs-python.x86_64 2.3.4-1.fc20 will be an upgrade
---> Package augeas-libs.x86_64 1.1.0-2.fc20 will be upgraded
---> Package augeas-libs.x86_64 1.2.0-1.fc20 will be an upgrade
---> Package colord.x86_64 1.1.5-1.fc20 will be upgraded
---> Package colord.x86_64 1.1.6-1.fc20 will be an upgrade
---> Package colord-libs.x86_64 1.1.5-1.fc20 will be upgraded
---> Package colord-libs.x86_64 1.1.6-1.fc20 will be an upgrade
---> Package cryptsetup.x86_64 1.6.3-1.fc20 will be upgraded
---> Package cryptsetup.x86_64 1.6.4-1.fc20 will be an upgrade
---> Package cryptsetup-libs.x86_64 1.6.3-1.fc20 will be upgraded
---> Package cryptsetup-libs.x86_64 1.6.4-1.fc20 will be an upgrade
---> Package ffmpeg-libs.x86_64 2.1.3-1.fc20 will be upgraded
---> Package ffmpeg-libs.x86_64 2.1.4-1.fc20 will be an upgrade
---> Package gpsd-libs.x86_64 3.9-2.fc20 will be upgraded
---> Package gpsd-libs.x86_64 3.9-4.fc20 will be an upgrade
---> Package hwdata.noarch 0.260-1.fc20 will be upgraded
---> Package hwdata.noarch 0.261-1.fc20 will be an upgrade
---> Package kcm_colors.x86_64 4.11.6-2.fc20 will be upgraded
---> Package kcm_colors.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package kde-workspace.x86_64 4.11.6-2.fc20 will be upgraded
---> Package kde-workspace.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package plasma-scriptengine-python.x86_64 4.11.6-2.fc20 will be upgraded
---> Package plasma-scriptengine-python.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package kde-workspace-libs.x86_64 4.11.6-2.fc20 will be upgraded
---> Package kde-workspace-libs.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package kgreeter-plugins.x86_64 4.11.6-2.fc20 will be upgraded
---> Package kgreeter-plugins.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package libkworkspace.x86_64 4.11.6-2.fc20 will be upgraded
---> Package libkworkspace.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package kde-style-oxygen.x86_64 4.11.6-2.fc20 will be upgraded
---> Package kde-style-oxygen.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package kdm.x86_64 4.11.6-2.fc20 will be upgraded
---> Package kdm.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package kde-plasma-nm.x86_64 0.9.3.2-3.fc20 will be upgraded
---> Package kde-plasma-nm.x86_64 0.9.3.3-1.fc20 will be an upgrade
---> Package kde-plasma-nm-vpnc.x86_64 0.9.3.2-3.fc20 will be upgraded
---> Package kde-plasma-nm-vpnc.x86_64 0.9.3.3-1.fc20 will be an upgrade
---> Package kde-plasma-nm-pptp.x86_64 0.9.3.2-3.fc20 will be upgraded
---> Package kde-plasma-nm-pptp.x86_64 0.9.3.3-1.fc20 will be an upgrade
---> Package kde-plasma-nm-openvpn.x86_64 0.9.3.2-3.fc20 will be upgraded
---> Package kde-plasma-nm-openvpn.x86_64 0.9.3.3-1.fc20 will be an upgrade
---> Package kexec-tools.x86_64 2.0.4-18.fc20 will be upgraded
---> Package kexec-tools.x86_64 2.0.4-23.fc20 will be an upgrade
---> Package ksysguard.x86_64 4.11.6-2.fc20 will be upgraded
---> Package ksysguard.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package ksysguard-libs.x86_64 4.11.6-2.fc20 will be upgraded
---> Package ksysguard-libs.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package ksysguardd.x86_64 4.11.6-2.fc20 will be upgraded
---> Package ksysguardd.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package kwin-gles-libs.x86_64 4.11.6-2.fc20 will be upgraded
---> Package kwin-gles-libs.x86_64 4.11.6-3.fc20 will be an upgrade
---> Package langtable.noarch 0.0.23-1.fc20 will be upgraded
---> Package langtable.noarch 0.0.24-1.fc20 will be an upgrade
---> Package langtable-python.noarch 0.0.23-1.fc20 will be upgraded
---> Package langtable-python.noarch 0.0.24-1.fc20 will be an upgrade
---> Package langtable-data.noarch 0.0.23-1.fc20 will be upgraded
---> Package langtable-data.noarch 0.0.24-1.fc20 will be an upgrade
---> Package libmm-qt.x86_64 1:1.0.0-2.fc20 will be upgraded
---> Package libmm-qt.x86_64 1:1.0.1-1.fc20 will be an upgrade
---> Package libnm-qt.x86_64 1:0.9.8.0-1.fc20 will be upgraded
---> Package libnm-qt.x86_64 1:0.9.9.1-1.fc20 will be an upgrade
---> Package libproxy.x86_64 0.4.11-7.fc20 will be upgraded
---> Package libproxy.x86_64 0.4.11-8.fc20 will be an upgrade
---> Package librepo.x86_64 1.5.2-2.fc20 will be upgraded
---> Package librepo.x86_64 1.6.0-1.fc20 will be an upgrade
---> Package python-librepo.x86_64 1.5.2-2.fc20 will be upgraded
---> Package python-librepo.x86_64 1.6.0-1.fc20 will be an upgrade
---> Package libuv.x86_64 1:0.10.23-1.fc20 will be upgraded
---> Package libuv.x86_64 1:0.10.25-1.fc20 will be an upgrade
---> Package libuv-devel.x86_64 1:0.10.23-1.fc20 will be upgraded
---> Package libuv-devel.x86_64 1:0.10.25-1.fc20 will be an upgrade
---> Package libwacom.x86_64 0.8-1.fc20 will be upgraded
---> Package libwacom.x86_64 0.8-2.fc20 will be an upgrade
---> Package libwacom-data.noarch 0.8-1.fc20 will be upgraded
---> Package libwacom-data.noarch 0.8-2.fc20 will be an upgrade
---> Package lohit-devanagari-fonts.noarch 2.93.0-1.fc20 will be upgraded
---> Package lohit-devanagari-fonts.noarch 2.94.0-1.fc20 will be an upgrade
---> Package ltrace.x86_64 0.7.2-8.fc20 will be upgraded
---> Package ltrace.x86_64 0.7.2-9.fc20 will be an upgrade
---> Package marble.x86_64 1:4.12.2-1.fc20 will be upgraded
---> Package marble.x86_64 1:4.12.2-3.fc20 will be an upgrade
---> Package marble-libs.x86_64 1:4.12.2-1.fc20 will be upgraded
---> Package marble-libs.x86_64 1:4.12.2-3.fc20 will be an upgrade
---> Package marble-common.noarch 1:4.12.2-1.fc20 will be upgraded
---> Package marble-common.noarch 1:4.12.2-3.fc20 will be an upgrade
---> Package nodejs.x86_64 0.10.25-1.fc20 will be upgraded
---> Package nodejs.x86_64 0.10.26-1.fc20 will be an upgrade
---> Package nodejs-devel.x86_64 0.10.25-1.fc20 will be upgraded
---> Package nodejs-devel.x86_64 0.10.26-1.fc20 will be an upgrade
---> Package ntfs-3g.x86_64 2:2013.1.13-6.fc20 will be upgraded
---> Package ntfs-3g.x86_64 2:2014.2.15-1.fc20 will be an upgrade
---> Package ntfsprogs.x86_64 2:2013.1.13-6.fc20 will be upgraded
---> Package ntfsprogs.x86_64 2:2014.2.15-1.fc20 will be an upgrade
---> Package oxygen-gtk3.x86_64 1:1.3.3-2.fc20 will be upgraded
---> Package oxygen-gtk3.x86_64 1:1.3.3-3.fc20 will be an upgrade
---> Package perl-Socket6.x86_64 0.23-15.fc20 will be upgraded
---> Package perl-Socket6.x86_64 0.25-1.fc20 will be an upgrade
---> Package python-cups.x86_64 1.9.63-4.fc20 will be upgraded
---> Package python-cups.x86_64 1.9.65-1.fc20 will be an upgrade
---> Package selinux-policy.noarch 3.12.1-122.fc20 will be upgraded
---> Package selinux-policy.noarch 3.12.1-127.fc20 will be an upgrade
---> Package selinux-policy-targeted.noarch 3.12.1-122.fc20 will be upgraded
---> Package selinux-policy-targeted.noarch 3.12.1-127.fc20 will be an upgrade
---> Package selinux-policy-doc.noarch 3.12.1-122.fc20 will be upgraded
---> Package selinux-policy-doc.noarch 3.12.1-127.fc20 will be an upgrade
---> Package selinux-policy-devel.noarch 3.12.1-122.fc20 will be upgraded
---> Package selinux-policy-devel.noarch 3.12.1-127.fc20 will be an upgrade
---> Package setroubleshoot.x86_64 3.2.14-2.fc20 will be upgraded
---> Package setroubleshoot.x86_64 3.2.17-1.fc20 will be an upgrade
---> Package setroubleshoot-server.x86_64 3.2.14-2.fc20 will be upgraded
---> Package setroubleshoot-server.x86_64 3.2.17-1.fc20 will be an upgrade
---> Package spambayes.noarch 1.1-0.7.a6.fc20 will be upgraded
---> Package spambayes.noarch 1.1-0.8.b1.fc20 will be an upgrade
---> Package v8.x86_64 1:3.14.5.10-4.fc20 will be upgraded
---> Package v8.x86_64 1:3.14.5.10-6.fc20 will be an upgrade
---> Package v8-devel.x86_64 1:3.14.5.10-4.fc20 will be upgraded
---> Package v8-devel.x86_64 1:3.14.5.10-6.fc20 will be an upgrade
---> Package vlc.x86_64 2.1.3-1.fc20 will be upgraded
---> Package vlc.x86_64 2.1.4-1.fc20 will be an upgrade
---> Package vlc-core.x86_64 2.1.3-1.fc20 will be upgraded
---> Package vlc-core.x86_64 2.1.4-1.fc20 will be an upgrade
---> Package vpnc.x86_64 0.5.3-19.svn457.fc20 will be upgraded
---> Package vpnc.x86_64 0.5.3-20.svn457.fc20 will be an upgrade
---> Package vpnc-script.noarch 0.5.3-19.svn457.fc20 will be upgraded
---> Package vpnc-script.noarch 0.5.3-20.svn457.fc20 will be an upgrade
--> Finished dependency resolution
Dependencies resolved.

================================================================================
 Package               Arch   Version              Repository              Size
================================================================================
Upgrading:
 apcupsd               x86_64 3.14.11-1.fc20       updates-testing        325 k
 apcupsd-gui           x86_64 3.14.11-1.fc20       updates-testing         64 k
 audit                 x86_64 2.3.4-1.fc20         updates-testing        223 k
 audit-libs            x86_64 2.3.4-1.fc20         updates-testing         76 k
 audit-libs-python     x86_64 2.3.4-1.fc20         updates-testing         66 k
 augeas-libs           x86_64 1.2.0-1.fc20         updates-testing        329 k
 colord                x86_64 1.1.6-1.fc20         updates-testing        450 k
 colord-libs           x86_64 1.1.6-1.fc20         updates-testing        155 k
 cryptsetup            x86_64 1.6.4-1.fc20         updates-testing        112 k
 cryptsetup-libs       x86_64 1.6.4-1.fc20         updates-testing        176 k
 ffmpeg-libs           x86_64 2.1.4-1.fc20         rpmfusion-free-updates 4.2 M
 gpsd-libs             x86_64 3.9-4.fc20           updates-testing        211 k
 hwdata                noarch 0.261-1.fc20         updates-testing        1.1 M
 kcm_colors            x86_64 4.11.6-3.fc20        updates-testing        145 k
 kde-workspace         x86_64 4.11.6-3.fc20        updates-testing         13 M
 plasma-scriptengine-python
                       x86_64 4.11.6-3.fc20        updates-testing         85 k
 kde-workspace-libs    x86_64 4.11.6-3.fc20        updates-testing        808 k
 kgreeter-plugins      x86_64 4.11.6-3.fc20        updates-testing         94 k
 libkworkspace         x86_64 4.11.6-3.fc20        updates-testing        110 k
 kde-style-oxygen      x86_64 4.11.6-3.fc20        updates-testing        404 k
 kdm                   x86_64 4.11.6-3.fc20        updates-testing        668 k
 kde-plasma-nm         x86_64 0.9.3.3-1.fc20       updates-testing        642 k
 kde-plasma-nm-vpnc    x86_64 0.9.3.3-1.fc20       updates-testing         65 k
 kde-plasma-nm-pptp    x86_64 0.9.3.3-1.fc20       updates-testing         41 k
 kde-plasma-nm-openvpn x86_64 0.9.3.3-1.fc20       updates-testing         87 k
 kexec-tools           x86_64 2.0.4-23.fc20        updates-testing        315 k
 ksysguard             x86_64 4.11.6-3.fc20        updates-testing        291 k
 ksysguard-libs        x86_64 4.11.6-3.fc20        updates-testing        244 k
 ksysguardd            x86_64 4.11.6-3.fc20        updates-testing        113 k
 kwin-gles-libs        x86_64 4.11.6-3.fc20        updates-testing        121 k
 langtable             noarch 0.0.24-1.fc20        updates-testing         33 k
 langtable-python      noarch 0.0.24-1.fc20        updates-testing         28 k
 langtable-data        noarch 0.0.24-1.fc20        updates-testing        589 k
 libmm-qt              x86_64 1:1.0.1-1.fc20       updates-testing        138 k
 libnm-qt              x86_64 1:0.9.9.1-1.fc20     updates-testing        379 k
 libproxy              x86_64 0.4.11-8.fc20        updates-testing         65 k
 librepo               x86_64 1.6.0-1.fc20         updates-testing         57 k
 python-librepo        x86_64 1.6.0-1.fc20         updates-testing         38 k
 libuv                 x86_64 1:0.10.25-1.fc20     updates-testing         57 k
 libuv-devel           x86_64 1:0.10.25-1.fc20     updates-testing         38 k
 libwacom              x86_64 0.8-2.fc20           updates-testing         26 k
 libwacom-data         noarch 0.8-2.fc20           updates-testing         36 k
 lohit-devanagari-fonts
                       noarch 2.94.0-1.fc20        updates-testing         51 k
 ltrace                x86_64 0.7.2-9.fc20         updates-testing        125 k
 marble                x86_64 1:4.12.2-3.fc20      updates-testing        3.4 M
 marble-libs           x86_64 1:4.12.2-3.fc20      updates-testing        2.6 M
 marble-common         noarch 1:4.12.2-3.fc20      updates-testing        9.9 M
 nodejs                x86_64 0.10.26-1.fc20       updates-testing        502 k
 nodejs-devel          x86_64 0.10.26-1.fc20       updates-testing        443 k
 ntfs-3g               x86_64 2:2014.2.15-1.fc20   updates-testing        270 k
 ntfsprogs             x86_64 2:2014.2.15-1.fc20   updates-testing        255 k
 oxygen-gtk3           x86_64 1:1.3.3-3.fc20       updates-testing        418 k
 perl-Socket6          x86_64 0.25-1.fc20          updates-testing         27 k
 python-cups           x86_64 1.9.65-1.fc20        updates-testing         77 k
 selinux-policy        noarch 3.12.1-127.fc20      updates-testing        329 k
 selinux-policy-targeted
                       noarch 3.12.1-127.fc20      updates-testing        3.7 M
 selinux-policy-doc    noarch 3.12.1-127.fc20      updates-testing        850 k
 selinux-policy-devel  noarch 3.12.1-127.fc20      updates-testing        3.2 M
 setroubleshoot        x86_64 3.2.17-1.fc20        updates-testing        124 k
 setroubleshoot-server x86_64 3.2.17-1.fc20        updates-testing        342 k
 spambayes             noarch 1.1-0.8.b1.fc20      updates-testing        533 k
 v8                    x86_64 1:3.14.5.10-6.fc20   updates-testing        3.0 M
 v8-devel              x86_64 1:3.14.5.10-6.fc20   updates-testing         69 k
 vlc                   x86_64 2.1.4-1.fc20         rpmfusion-free-updates 1.5 M
 vlc-core              x86_64 2.1.4-1.fc20         rpmfusion-free-updates 8.3 M
 vpnc                  x86_64 0.5.3-20.svn457.fc20 updates-testing         86 k
 vpnc-script           noarch 0.5.3-20.svn457.fc20 updates-testing         14 k

Transaction Summary
================================================================================
Upgrade  67 Packages

Total size: 66 M
Total download size: 394 k
Is this ok [y/N]: y
Downloading Packages:
[SKIPPED] apcupsd-3.14.11-1.fc20.x86_64.rpm: Already downloaded                
[SKIPPED] apcupsd-gui-3.14.11-1.fc20.x86_64.rpm: Already downloaded            
[SKIPPED] audit-2.3.4-1.fc20.x86_64.rpm: Already downloaded                    
[SKIPPED] audit-libs-2.3.4-1.fc20.x86_64.rpm: Already downloaded               
[SKIPPED] audit-libs-python-2.3.4-1.fc20.x86_64.rpm: Already downloaded        
[SKIPPED] augeas-libs-1.1.0-2.fc20_1.2.0-1.fc20.x86_64.drpm: Already downloaded
[SKIPPED] colord-1.1.6-1.fc20.x86_64.rpm: Already downloaded                   
[SKIPPED] colord-libs-1.1.6-1.fc20.x86_64.rpm: Already downloaded              
[SKIPPED] cryptsetup-1.6.4-1.fc20.x86_64.rpm: Already downloaded               
[SKIPPED] cryptsetup-libs-1.6.4-1.fc20.x86_64.rpm: Already downloaded          
[SKIPPED] ffmpeg-libs-2.1.4-1.fc20.x86_64.rpm: Already downloaded              
[SKIPPED] gpsd-libs-3.9-4.fc20.x86_64.rpm: Already downloaded                  
[SKIPPED] hwdata-0.261-1.fc20.noarch.rpm: Already downloaded                   
[SKIPPED] kcm_colors-4.11.6-3.fc20.x86_64.rpm: Already downloaded              
[SKIPPED] kde-workspace-4.11.6-3.fc20.x86_64.rpm: Already downloaded           
[SKIPPED] plasma-scriptengine-python-4.11.6-3.fc20.x86_64.rpm: Already downloaded
[SKIPPED] kde-workspace-libs-4.11.6-3.fc20.x86_64.rpm: Already downloaded      
[SKIPPED] kgreeter-plugins-4.11.6-3.fc20.x86_64.rpm: Already downloaded        
[SKIPPED] libkworkspace-4.11.6-3.fc20.x86_64.rpm: Already downloaded           
[SKIPPED] kde-style-oxygen-4.11.6-3.fc20.x86_64.rpm: Already downloaded        
[SKIPPED] kdm-4.11.6-3.fc20.x86_64.rpm: Already downloaded                     
[SKIPPED] kde-plasma-nm-0.9.3.3-1.fc20.x86_64.rpm: Already downloaded          
[SKIPPED] kde-plasma-nm-vpnc-0.9.3.3-1.fc20.x86_64.rpm: Already downloaded     
[SKIPPED] kde-plasma-nm-pptp-0.9.3.3-1.fc20.x86_64.rpm: Already downloaded     
[SKIPPED] kde-plasma-nm-openvpn-0.9.3.3-1.fc20.x86_64.rpm: Already downloaded  
[SKIPPED] kexec-tools-2.0.4-23.fc20.x86_64.rpm: Already downloaded             
[SKIPPED] ksysguard-4.11.6-3.fc20.x86_64.rpm: Already downloaded               
[SKIPPED] ksysguard-libs-4.11.6-3.fc20.x86_64.rpm: Already downloaded          
[SKIPPED] ksysguardd-4.11.6-3.fc20.x86_64.rpm: Already downloaded              
[SKIPPED] kwin-gles-libs-4.11.6-3.fc20.x86_64.rpm: Already downloaded          
[SKIPPED] langtable-0.0.24-1.fc20.noarch.rpm: Already downloaded               
[SKIPPED] langtable-python-0.0.24-1.fc20.noarch.rpm: Already downloaded        
[SKIPPED] langtable-data-0.0.24-1.fc20.noarch.rpm: Already downloaded          
[SKIPPED] libmm-qt-1.0.1-1.fc20.x86_64.rpm: Already downloaded                 
[SKIPPED] libnm-qt-0.9.9.1-1.fc20.x86_64.rpm: Already downloaded               
[SKIPPED] libproxy-0.4.11-7.fc20_0.4.11-8.fc20.x86_64.drpm: Already downloaded 
[SKIPPED] librepo-1.6.0-1.fc20.x86_64.rpm: Already downloaded                  
[SKIPPED] python-librepo-1.6.0-1.fc20.x86_64.rpm: Already downloaded           
[SKIPPED] libuv-0.10.25-1.fc20.x86_64.rpm: Already downloaded                  
[SKIPPED] libuv-devel-0.10.25-1.fc20.x86_64.rpm: Already downloaded            
[SKIPPED] libwacom-0.8-2.fc20.x86_64.rpm: Already downloaded                   
[SKIPPED] libwacom-data-0.8-2.fc20.noarch.rpm: Already downloaded              
[SKIPPED] lohit-devanagari-fonts-2.94.0-1.fc20.noarch.rpm: Already downloaded  
[SKIPPED] ltrace-0.7.2-9.fc20.x86_64.rpm: Already downloaded                   
[SKIPPED] marble-4.12.2-3.fc20.x86_64.rpm: Already downloaded                  
[SKIPPED] marble-libs-4.12.2-3.fc20.x86_64.rpm: Already downloaded             
[SKIPPED] marble-common-4.12.2-3.fc20.noarch.rpm: Already downloaded           
[SKIPPED] nodejs-0.10.26-1.fc20.x86_64.rpm: Already downloaded                 
[SKIPPED] nodejs-devel-0.10.26-1.fc20.x86_64.rpm: Already downloaded           
[SKIPPED] ntfs-3g-2014.2.15-1.fc20.x86_64.rpm: Already downloaded              
[SKIPPED] ntfsprogs-2014.2.15-1.fc20.x86_64.rpm: Already downloaded            
[SKIPPED] oxygen-gtk3-1.3.3-3.fc20.x86_64.rpm: Already downloaded              
[SKIPPED] perl-Socket6-0.25-1.fc20.x86_64.rpm: Already downloaded              
[SKIPPED] python-cups-1.9.65-1.fc20.x86_64.rpm: Already downloaded             
[SKIPPED] selinux-policy-3.12.1-127.fc20.noarch.rpm: Already downloaded        
[SKIPPED] selinux-policy-targeted-3.12.1-127.fc20.noarch.rpm: Already downloaded
[SKIPPED] selinux-policy-doc-3.12.1-127.fc20.noarch.rpm: Already downloaded    
[SKIPPED] selinux-policy-devel-3.12.1-127.fc20.noarch.rpm: Already downloaded  
[SKIPPED] setroubleshoot-3.2.17-1.fc20.x86_64.rpm: Already downloaded          
[SKIPPED] setroubleshoot-server-3.2.17-1.fc20.x86_64.rpm: Already downloaded   
[SKIPPED] spambayes-1.1-0.8.b1.fc20.noarch.rpm: Already downloaded             
[SKIPPED] v8-3.14.5.10-6.fc20.x86_64.rpm: Already downloaded                   
[SKIPPED] v8-devel-3.14.5.10-6.fc20.x86_64.rpm: Already downloaded             
[SKIPPED] vlc-2.1.4-1.fc20.x86_64.rpm: Already downloaded                      
[SKIPPED] vlc-core-2.1.4-1.fc20.x86_64.rpm: Already downloaded                 
[SKIPPED] vpnc-0.5.3-20.svn457.fc20.x86_64.rpm: Already downloaded             
[SKIPPED] vpnc-script-0.5.3-20.svn457.fc20.noarch.rpm: Already downloaded      
/usr/sbin/prelink: No such file or directory
prelink not installed, cannot undo prelinking/usr/sbin/prelink: No such file or directory
prelink not installed, cannot undo prelinking--------------------------------------------------------------------------------
Total                                           1.2 GB/s |  66 MB     00:00     
Traceback (most recent call last):
  File "/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 242, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 64, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 156, in _main
    return_code, resultmsgs = base.do_transaction()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 218, in do_transaction
    if self.gpgsigcheck(downloadpkgs) != 0:
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 238, in gpgsigcheck
    result, errmsg = self.sigCheckPkg(po)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 950, in sigCheckPkg
    sigresult = dnf.rpmUtils.miscutils.checkSig(ts, po.localPkg())
  File "/usr/lib/python2.7/site-packages/dnf/rpmUtils/miscutils.py", line 61, in checkSig
    fdno = os.open(package, os.O_RDONLY)
OSError: [Errno 2] No such file or directory: '/var/cache/dnf/x86_64/20/updates-testing/packages/augeas-libs-1.2.0-1.fc20.x86_64.rpm'
garry@vfr$
Comment 1 Ales Kozumplik 2014-03-04 12:54:06 EST
Garry, the errors from prelink are something you regularly see on the box or not?
Comment 2 Garry T. Williams 2014-03-04 20:31:41 EST
(In reply to Ales Kozumplik from comment #1)
> Garry, the errors from prelink are something you regularly see on the box or
> not?

Yes.  I have been meaning to report this, but haven't managed to get around to it.  The error message has /seemed/ benign to me.  I removed prelink about two months ago.
Comment 3 Ales Kozumplik 2014-03-05 02:13:57 EST
So what is probably happening is that the call to applydeltarpm fails at that point and that leads to the missing rebuilt DRPM.

It's still a bug as DNF should either stop right at that point or try to download the full .rpm instead. But never carry on and traceback.
Comment 4 Ales Kozumplik 2014-03-05 04:15:03 EST
Fixed by 03ffe68: DNF will now stop correctly if drpm rebuilding fails, /var/log/dnf.log will contain more detailed information and also a command line used to spawn the rebuilding process: if that fails for reasons beyond DNF's control (like the prelink error here) we won't consider fallback to full RPM download. Instead, please disable drpm downloads.

Garry, if you'd like to test a nightly version with the fix, try our CI builds:

http://jenkins.cloud.fedoraproject.org/job/DNF/lastSuccessfulBuild/artifact/

Thank you for the report.
Comment 5 Fedora Update System 2014-03-05 07:57:39 EST
dnf-0.4.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.17-1.fc20
Comment 6 Jonathan Dieter 2014-03-05 09:14:33 EST
Um, I think this isn't the best fix.  When I originally wrote yum-presto, one of the requirements was that if a deltarpm build fails, we should always fall back on downloading the full rpm.

There are a few reasons why applying the deltarpm may fail (the user changes some non-config files on the filesystem), and the only solution is to download the full rpm, so let's just automatically do it.
Comment 7 Ales Kozumplik 2014-03-05 09:23:41 EST
(In reply to Jonathan Dieter from comment #6)
> Um, I think this isn't the best fix.  When I originally wrote yum-presto,
> one of the requirements was that if a deltarpm build fails, we should always
> fall back on downloading the full rpm.
> 
> There are a few reasons why applying the deltarpm may fail (the user changes
> some non-config files on the filesystem), and the only solution is to
> download the full rpm, so let's just automatically do it.

Hi Jonathan,

I see, thanks for explaining. I only maintain this DNF part for a very short time so information like this is new and important to me.

Reopening, I really need to add a proper fallback support.
Comment 8 Garry T. Williams 2014-03-05 23:00:03 EST
(In reply to Ales Kozumplik from comment #4)
> Garry, if you'd like to test a nightly version with the fix, try our CI
> builds:
> 
> http://jenkins.cloud.fedoraproject.org/job/DNF/lastSuccessfulBuild/artifact/

If it's any help, I did install that build and it apparently is fine.  However, I cannot reproduce the original problem because I have no idea what caused it in the first place.

I also note Jonathan's comment 6 and concur.  I see no reason to fail when there's an obvious recovery path.

I have not had prelink installed for quite a while.  I do not think this should lead to any problems in dnf or dnf presto.  This is not an unusual configuration.

Finally, thank you both for your support and dnf.  It rocks.
Comment 9 Fedora Update System 2014-03-06 03:14:30 EST
Package dnf-0.4.17-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.17-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3465/dnf-0.4.17-1.fc20
then log in and leave karma (feedback).
Comment 10 Garry T. Williams 2014-03-06 20:23:00 EST
Just so you know, dnf-0.4.17-1.fc20 now makes the prelink problem a fatal error.  It wasn't like that before.  Now the only way around the problem is to disable deltarpm.

Since I do not have prelink installed, I really don't know why this happens here.

garry@vfr$ sudo dnf update
...
/usr/sbin/prelink: No such file or directory
prelink not installed, cannot undo prelinkingError: Error downloading packages:
  nss-3.15.5-1.fc20.x86_64: Delta RPM rebuild failed
  nss-softokn-3.15.5-2.fc20.x86_64: Delta RPM rebuild failed
  libdrm-2.4.52-1.fc20.x86_64: Delta RPM rebuild failed
  nss-util-3.15.5-1.fc20.x86_64: Delta RPM rebuild failed
  nss-softokn-freebl-3.15.5-2.fc20.x86_64: Delta RPM rebuild failed
garry@vfr$
Comment 11 Ales Kozumplik 2014-03-07 03:30:27 EST
apparently, prelink is needed for the applydeltarpm invocation. However from DNF's point of view, the current result is the expected one: fail gracefully, display reasonable error message, do not crash.

Mind you, I'm still working on the fallback fix (that's why this is still open).
Comment 12 Fedora Update System 2014-03-07 22:35:45 EST
dnf-0.4.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Ales Kozumplik 2014-03-10 08:56:02 EDT
Fallbacking added by a2e7f7b upstream.
Comment 14 Fedora Update System 2014-03-17 05:45:48 EDT
dnf-0.4.18-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.18-1.fc20
Comment 15 Garry T. Williams 2014-03-17 08:48:30 EDT
This is fixed with dnf-0.4.18-1.fc20.noarch .

Thank you!
Comment 16 Fedora Update System 2014-03-18 04:10:51 EDT
Package dnf-0.4.18-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.18-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3999/dnf-0.4.18-1.fc20
then log in and leave karma (feedback).
Comment 17 Fedora Update System 2014-03-24 05:06:13 EDT
dnf-0.4.19-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.19-1.fc20
Comment 18 Fedora Update System 2014-03-25 04:13:54 EDT
dnf-0.4.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.